package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the VehicleAttribute service. Represents a row in the &quot;Profile_VehicleAttribute&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleAttributeModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleAttributeImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleAttribute
 * @see de.humance.eco.profile.model.impl.VehicleAttributeImpl
 * @see de.humance.eco.profile.model.impl.VehicleAttributeModelImpl
 * @generated
 */
public interface VehicleAttributeModel extends BaseModel<VehicleAttribute> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle attribute model instance should use the {@link VehicleAttribute} interface instead.
     */

    /**
     * Returns the primary key of this vehicle attribute.
     *
     * @return the primary key of this vehicle attribute
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle attribute.
     *
     * @param primaryKey the primary key of this vehicle attribute
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle attribute ID of this vehicle attribute.
     *
     * @return the vehicle attribute ID of this vehicle attribute
     */
    public long getVehicleAttributeId();

    /**
     * Sets the vehicle attribute ID of this vehicle attribute.
     *
     * @param vehicleAttributeId the vehicle attribute ID of this vehicle attribute
     */
    public void setVehicleAttributeId(long vehicleAttributeId);

    /**
     * Returns the vehicle ID of this vehicle attribute.
     *
     * @return the vehicle ID of this vehicle attribute
     */
    public long getVehicleId();

    /**
     * Sets the vehicle ID of this vehicle attribute.
     *
     * @param vehicleId the vehicle ID of this vehicle attribute
     */
    public void setVehicleId(long vehicleId);

    /**
     * Returns the vehicle attribute definition ID of this vehicle attribute.
     *
     * @return the vehicle attribute definition ID of this vehicle attribute
     */
    public long getVehicleAttributeDefinitionId();

    /**
     * Sets the vehicle attribute definition ID of this vehicle attribute.
     *
     * @param vehicleAttributeDefinitionId the vehicle attribute definition ID of this vehicle attribute
     */
    public void setVehicleAttributeDefinitionId(
        long vehicleAttributeDefinitionId);

    /**
     * Returns the type of this vehicle attribute.
     *
     * @return the type of this vehicle attribute
     */
    @AutoEscape
    public String getType();

    /**
     * Sets the type of this vehicle attribute.
     *
     * @param type the type of this vehicle attribute
     */
    public void setType(String type);

    /**
     * Returns the sequence number of this vehicle attribute.
     *
     * @return the sequence number of this vehicle attribute
     */
    public long getSequenceNumber();

    /**
     * Sets the sequence number of this vehicle attribute.
     *
     * @param sequenceNumber the sequence number of this vehicle attribute
     */
    public void setSequenceNumber(long sequenceNumber);

    /**
     * Returns the attribute value of this vehicle attribute.
     *
     * @return the attribute value of this vehicle attribute
     */
    @AutoEscape
    public String getAttributeValue();

    /**
     * Sets the attribute value of this vehicle attribute.
     *
     * @param attributeValue the attribute value of this vehicle attribute
     */
    public void setAttributeValue(String attributeValue);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(VehicleAttribute vehicleAttribute);

    @Override
    public int hashCode();

    @Override
    public CacheModel<VehicleAttribute> toCacheModel();

    @Override
    public VehicleAttribute toEscapedModel();

    @Override
    public VehicleAttribute toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
